<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div
			th:fragment="formEdit"
			id="formEditDrawer"
			class="fixed top-0 right-0 z-40 h-screen p-6 overflow-y-auto transition-transform translate-x-full text-left space-y-4 bg-white w-80 md:w-96 dark:bg-gray-800"
			tabindex="-1"
			aria-labelledby="formEditDrawer"
		>
			<div>
				<h5 class="font-semibold dark:text-white">Edit Dosen</h5>
				<p class="text-gray-500 dark:text-gray-400">
					Silahkan edit dosen dengan mengisi form dibawah ini
				</p>
			</div>

			<form method="post" th:action="@{/lecturer}" novalidate>
				<div class="flex flex-col gap-6">
					<div class="relative">
						<label
							for="prodi"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Program Studi
						</label>
						<select
							style="width: 100%"
							id="prodi"
							name="institutionProdi"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="" selected disabled>
								-- Pilih Program Studi --
							</option>
							<option th:each="data : ${prodiList}" th:text="${data.prodiName}" th:value="${data.id}">Manajemen Bisnis Syariah</option>
						</select>
						<p
							id="errorinstitutionProdi"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Status Dosen
						</label>
						<select
							style="width: 100%"
							id="jenis"
							name="lecturerType"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="" selected disabled>
								-- Pilih Status Dosen --
							</option>
							<option th:each="data :${lecturerType}" th:text="${data.label}" th:value="${data}">Dosen Tetap</option>
						</select>
						<p
							id="errorlecturerType"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="employe"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih User</label
						>
						<select
							style="width: 100%"
							id="employe"
							name="employes"
							class="needs-validation peer hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="">Pilih User</option>
						</select>
						<p
							id="erroremployes"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
						<input type="hidden" name="id" id="lectureId">
						<input type="hidden" name="id" id="employeeId">
					</div>

					<div class="w-full flex flex-row gap-x-2">
						<button
							type="submit"
							class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
						>
							Submit
						</button>
						<!-- show only on edit -->
						<button
							type="button"
							data-drawer-hide="formEditDrawer"
							class="text-red-800 dark:text-red-400 bg-red-50 dark:bg-gray-700 hover:bg-red-100 dark:hover:bg-gray-600 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center"
						>
							Batalkan
						</button>
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
